{
  "Urls": "http://*:5064",
  "ConnectionStrings": {
    "DatabaseConnection": "Server=#########;Database=#########;User Id=#########;Password=#########;MultipleActiveResultSets=true"
  },
  "Serilog": {
    "MinimumLevel": {
      "Default": "Information"
    }
  },
  "Logs": {
    "SqlServer": {
      "Enabled": false,
      "Connection": "Server=#########;Database=#########;User Id=#########;Password=#########;MultipleActiveResultSets=true"
    },
    "Seq": {
      "Enabled": false,
      "Url": "",
      "ApiKey": ""
    }
  },
  "AllowedHosts": "*",
  "Service": {
    "Code": "NETWORK_RESURRECTOR_API"
  },
  "Tuitio": {
    "BaseAddress": "http://<host>:<port>/api/"
  },
  "NetworkResurrectorServer": {
    "BaseAddress": "http://<host>:<port>"
  },
  "Messaging": {
    "Enabled": false,
    "TopicPrefix": "HomeLab.",
    "Source": "NetworkResurrector.Api",
    "Nats": {
      "NatsUrl": "nats://<host>:4222",
      "Cluster": "<cluster>",
      "ClientId": "NetworkResurrector_Api",
      "QGroup": "NetworkResurrector.Api",
      "DurableName": "durable"
    }
  },
  "Notifications": {
    "Wake": {
      "To": [ "user@homelab.com" ],
      "Subject": "Network resurrector: Machine {MACHINE_NAME} has been waked. Status: {ACTION_STATUS}",
      "Body": "Hello,{NEWLINE:2}Network resurrector processed a command to start machine {MACHINE_FULLNAME} with IP {MACHINE_IP} at {SYSTEM_DATETIME}.{NEWLINE}The performer who was delegated for this action was {ACTION_PERFORMER}.{NEWLINE}Action status: {ACTION_STATUS}{NEWLINE:2}Have a nice day,{NEWLINE}Network resurrector notification system."
    },
    "Shutdown": {
      "To": [ "user@homelab.com" ],
      "Subject": "Network resurrector: Machine {MACHINE_NAME} has been shut down. Status: {ACTION_STATUS}",
      "Body": "Hello,{NEWLINE:2}Network resurrector processed a command to shut down machine {MACHINE_FULLNAME} with IP {MACHINE_IP} at {SYSTEM_DATETIME}.{NEWLINE}The performer who was delegated for this action was {ACTION_PERFORMER}.{NEWLINE}Action status: {ACTION_STATUS}{NEWLINE:2}Have a nice day,{NEWLINE}Network resurrector notification system."
    },
    "Error": {
      "To": [ "user@homelab.com" ],
      "Subject": "Network resurrector: An unexpected error has occurred",
      "Body": "Hello,{NEWLINE:2}Network resurrector encountered an unexpected error: {ERROR_MESSGE}.{NEWLINE}For more details about the error, check the logging system.{NEWLINE:2}Have a nice day,{NEWLINE}Network resurrector notification system."
    }
  }
}
